Manifest-Version: 1.0
Bnd-LastModified: 1749555640722
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Kernel
Bundle-SymbolicName: com.liferay.portal.kernel
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 43.0.2
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.admin.kernel.util;version="2.0.0";uses:="c
 om.liferay.portal.kernel.model",com.liferay.announcements.kernel.cons
 tants;version="1.0.0",com.liferay.announcements.kernel.exception;vers
 ion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay.a
 nnouncements.kernel.model;version="3.0.0";uses:="com.liferay.exportim
 port.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl.b
 ase,com.liferay.portal.kernel.annotation,com.liferay.portal.kernel.be
 an,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kernel.u
 til",com.liferay.announcements.kernel.service;version="2.5.0";uses:="
 com.liferay.announcements.kernel.model,com.liferay.exportimport.kerne
 l.lar,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.dao.o
 rm,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.json
 webservice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 search,com.liferay.portal.kernel.security.access.control,com.liferay.
 portal.kernel.service,com.liferay.portal.kernel.systemevent,com.lifer
 ay.portal.kernel.transaction,com.liferay.portal.kernel.util",com.life
 ray.announcements.kernel.service.persistence;version="3.3.0";uses:="c
 om.liferay.announcements.kernel.exception,com.liferay.announcements.k
 ernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kern
 el.service,com.liferay.portal.kernel.service.persistence,com.liferay.
 portal.kernel.util",com.liferay.announcements.kernel.util;version="2.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.model,com.liferay.portal.kernel.security.permission,com.liferay.
 portal.kernel.theme",com.liferay.asset.kernel;version="2.0.0";uses:="
 com.liferay.asset.kernel.model,com.liferay.portal.kernel.exception",c
 om.liferay.asset.kernel.action;version="1.1.1";uses:="com.liferay.ass
 et.kernel.model,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.security.permission,javax.servlet.http",com.liferay.asset.ke
 rnel.exception;version="2.3.0";uses:="com.liferay.asset.kernel.model,
 com.liferay.portal.kernel.exception",com.liferay.asset.kernel.model;v
 ersion="6.0.0";uses:="com.liferay.dynamic.data.mapping.kernel,com.lif
 eray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.pe
 tra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.por
 tal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.model.change.tracking,com.li
 feray.portal.kernel.model.wrapper,com.liferay.portal.kernel.portlet,c
 om.liferay.portal.kernel.resource.bundle,com.liferay.portal.kernel.se
 curity.permission,com.liferay.portal.kernel.theme,com.liferay.portal.
 kernel.util,javax.portlet,javax.servlet,javax.servlet.http",com.lifer
 ay.asset.kernel.model.adapter;version="2.2.0";uses:="com.liferay.asse
 t.kernel.model,com.liferay.portal.kernel.model",com.liferay.asset.ker
 nel.service;version="4.0.0";uses:="com.liferay.asset.kernel.model,com
 .liferay.asset.kernel.service.persistence,com.liferay.exportimport.ke
 rnel.lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,c
 om.liferay.portal.kernel.cache.thread.local,com.liferay.portal.kernel
 .change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.exception,com.liferay.portal.kernel.increment,com.liferay.por
 tal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.
 portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.port
 al.kernel.security.access.control,com.liferay.portal.kernel.service,c
 om.liferay.portal.kernel.service.change.tracking,com.liferay.portal.k
 ernel.service.permission,com.liferay.portal.kernel.service.persistenc
 e.change.tracking,com.liferay.portal.kernel.systemevent,com.liferay.p
 ortal.kernel.transaction,com.liferay.portal.kernel.util",com.liferay.
 asset.kernel.service.persistence;version="7.0.0";uses:="com.liferay.a
 sset.kernel.exception,com.liferay.asset.kernel.model,com.liferay.port
 al.kernel.dao.orm,com.liferay.portal.kernel.dao.search,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.service.persistence,com.liferay.portal.kernel.service.persis
 tence.change.tracking,com.liferay.portal.kernel.util",com.liferay.ass
 et.kernel.util;version="2.0.0",com.liferay.asset.kernel.validator;ver
 sion="1.1.0";uses:="com.liferay.portal.kernel.exception",com.liferay.
 background.task.kernel.util.comparator;version="1.1.0";uses:="com.lif
 eray.portal.kernel.backgroundtask,com.liferay.portal.kernel.util",com
 .liferay.counter.kernel;version="2.2.0",com.liferay.counter.kernel.ex
 ception;version="1.0.0";uses:="com.liferay.portal.kernel.exception",c
 om.liferay.counter.kernel.model;version="3.0.0";uses:="com.liferay.pe
 tra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.
 annotation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.model.wrapper,com.liferay.portal.kerne
 l.util",com.liferay.counter.kernel.service;version="2.1.0";uses:="com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.service,co
 m.liferay.portal.kernel.transaction",com.liferay.counter.kernel.servi
 ce.persistence;version="2.0.2",com.liferay.document.library.kernel;ve
 rsion="1.0.0";uses:="com.liferay.portal.kernel.exception",com.liferay
 .document.library.kernel.antivirus;version="3.1.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.document.library.kernel.documen
 t.conversion;version="1.0.0",com.liferay.document.library.kernel.exce
 ption;version="3.4.0";uses:="com.liferay.portal.kernel.exception",com
 .liferay.document.library.kernel.model;version="5.0.0";uses:="com.lif
 eray.dynamic.data.mapping.kernel,com.liferay.expando.kernel.model,com
 .liferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.lifera
 y.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay
 .portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.p
 ortal.kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 trash,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model",
 com.liferay.document.library.kernel.service;version="6.0.0";uses:="co
 m.liferay.asset.kernel.model,com.liferay.document.library.kernel.exce
 ption,com.liferay.document.library.kernel.model,com.liferay.dynamic.d
 ata.mapping.kernel,com.liferay.exportimport.kernel.lar,com.liferay.pe
 tra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.kerne
 l.cache.thread.local,com.liferay.portal.kernel.change.tracking,com.li
 feray.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.increment,com.liferay.portal.kernel.jsonwebservi
 ce,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.messaging
 .async,com.liferay.portal.kernel.model,com.liferay.portal.kernel.repo
 sitory.model,com.liferay.portal.kernel.search,com.liferay.portal.kern
 el.security.access.control,com.liferay.portal.kernel.service,com.life
 ray.portal.kernel.service.change.tracking,com.liferay.portal.kernel.s
 ervice.permission,com.liferay.portal.kernel.service.persistence.chang
 e.tracking,com.liferay.portal.kernel.systemevent,com.liferay.portal.k
 ernel.transaction,com.liferay.portal.kernel.util",com.liferay.documen
 t.library.kernel.service.persistence;version="5.0.0";uses:="com.lifer
 ay.document.library.kernel.exception,com.liferay.document.library.ker
 nel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel
 .service,com.liferay.portal.kernel.service.persistence,com.liferay.po
 rtal.kernel.service.persistence.change.tracking,com.liferay.portal.ke
 rnel.util",com.liferay.document.library.kernel.store;version="3.0.0";
 uses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.
 transaction",com.liferay.document.library.kernel.util;version="4.0.0"
 ;uses:="com.liferay.document.library.kernel.exception,com.liferay.doc
 ument.library.kernel.model,com.liferay.exportimport.kernel.lar,com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.repository.mo
 del,com.liferay.portal.kernel.search,com.liferay.portal.kernel.servic
 e,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,com.
 liferay.portal.kernel.xml,javax.portlet",com.liferay.document.library
 .kernel.util.comparator;version="2.1.0";uses:="com.liferay.document.l
 ibrary.kernel.model,com.liferay.portal.kernel.repository.model,com.li
 feray.portal.kernel.util",com.liferay.document.library.kernel.version
 ing;version="1.0.0";uses:="com.liferay.document.library.kernel.model"
 ,com.liferay.dynamic.data.mapping.kernel;version="2.0.0";uses:="com.l
 iferay.expando.kernel.model,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.search,com.liferay.portal.kernel.service,com.liferay.p
 ortal.kernel.theme",com.liferay.expando.kernel.exception;version="1.1
 .0";uses:="com.liferay.portal.kernel.exception",com.liferay.expando.k
 ernel.model;version="4.1.0";uses:="com.liferay.petra.sql.dsl,com.life
 ray.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.lifer
 ay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.json,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.model.change.tracking,com.liferay.portal.kernel.model.wrappe
 r,com.liferay.portal.kernel.service,com.liferay.portal.kernel.util",c
 om.liferay.expando.kernel.model.adapter;version="2.4.0";uses:="com.li
 feray.expando.kernel.model,com.liferay.portal.kernel.model",com.lifer
 ay.expando.kernel.service;version="1.8.0";uses:="com.liferay.expando.
 kernel.model,com.liferay.petra.function,com.liferay.petra.sql.dsl.que
 ry,com.liferay.portal.kernel.change.tracking,com.liferay.portal.kerne
 l.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.jsonwebservice,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.search,com.liferay.portal.kerne
 l.security.access.control,com.liferay.portal.kernel.service,com.lifer
 ay.portal.kernel.service.change.tracking,com.liferay.portal.kernel.se
 rvice.persistence.change.tracking,com.liferay.portal.kernel.transacti
 on,com.liferay.portal.kernel.util",com.liferay.expando.kernel.service
 .permission;version="1.0.0";uses:="com.liferay.expando.kernel.model,c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.security
 .permission",com.liferay.expando.kernel.service.persistence;version="
 3.2.0";uses:="com.liferay.expando.kernel.exception,com.liferay.expand
 o.kernel.model,com.liferay.portal.kernel.dao.orm,com.liferay.portal.k
 ernel.service,com.liferay.portal.kernel.service.persistence,com.lifer
 ay.portal.kernel.service.persistence.change.tracking,com.liferay.port
 al.kernel.util",com.liferay.expando.kernel.util;version="3.0.0";uses:
 ="com.liferay.expando.kernel.model,com.liferay.portal.kernel.search,c
 om.liferay.portal.kernel.service",com.liferay.exportimport.kernel.bac
 kground.task;version="1.3.1",com.liferay.exportimport.kernel.configur
 ation;version="4.0.0";uses:="com.liferay.exportimport.kernel.model,co
 m.liferay.portal.kernel.backgroundtask,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.model,javax.portlet",com.liferay.expo
 rtimport.kernel.configuration.constants;version="1.0.0",com.liferay.e
 xportimport.kernel.controller;version="2.0.0";uses:="com.liferay.expo
 rtimport.kernel.lar,com.liferay.exportimport.kernel.model",com.lifera
 y.exportimport.kernel.exception;version="2.0.0";uses:="com.liferay.ex
 portimport.kernel.lar,com.liferay.portal.kernel.exception",com.lifera
 y.exportimport.kernel.lar;version="4.2.0";uses:="com.liferay.expando.
 kernel.model,com.liferay.exportimport.kernel.model,com.liferay.portal
 .kernel.backgroundtask,com.liferay.portal.kernel.dao.orm,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.lock,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.repository.model,com.life
 ray.portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay
 .portal.kernel.util,com.liferay.portal.kernel.xml,com.liferay.portal.
 kernel.zip,javax.portlet",com.liferay.exportimport.kernel.lifecycle;v
 ersion="4.0.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay
 .exportimport.kernel.model,com.liferay.portal.kernel.model",com.lifer
 ay.exportimport.kernel.lifecycle.constants;version="1.0.0",com.lifera
 y.exportimport.kernel.model;version="3.0.0";uses:="com.liferay.petra.
 sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.anno
 tation,com.liferay.portal.kernel.bean,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.model.
 wrapper,com.liferay.portal.kernel.trash,com.liferay.portal.kernel.uti
 l,com.liferay.trash.kernel.model",com.liferay.exportimport.kernel.ser
 vice;version="2.7.0";uses:="com.liferay.exportimport.kernel.lar,com.l
 iferay.exportimport.kernel.model,com.liferay.petra.sql.dsl.query,com.
 liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com
 .liferay.portal.kernel.jsonwebservice,com.liferay.portal.kernel.model
 ,com.liferay.portal.kernel.search,com.liferay.portal.kernel.security.
 access.control,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.p
 ortal.kernel.util,javax.portlet",com.liferay.exportimport.kernel.serv
 ice.persistence;version="2.4.0";uses:="com.liferay.exportimport.kerne
 l.exception,com.liferay.exportimport.kernel.model,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.k
 ernel.service.persistence,com.liferay.portal.kernel.util",com.liferay
 .exportimport.kernel.staging;version="2.2.0";uses:="com.liferay.expor
 timport.kernel.lar,com.liferay.exportimport.kernel.model,com.liferay.
 portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.po
 rtal.kernel.model,com.liferay.portal.kernel.security.auth,com.liferay
 .portal.kernel.util,com.liferay.portal.kernel.workflow,com.liferay.po
 rtal.kernel.xml,javax.portlet,javax.servlet.http",com.liferay.exporti
 mport.kernel.staging.constants;version="1.0.0",com.liferay.exportimpo
 rt.kernel.staging.permission;version="1.0.0";uses:="com.liferay.porta
 l.kernel.model,com.liferay.portal.kernel.security.permission",com.lif
 eray.exportimport.kernel.xstream;version="2.0.0",com.liferay.image.ga
 llery.display.kernel.display.context;version="1.0.0";uses:="com.lifer
 ay.portal.kernel.display.context,com.liferay.portal.kernel.exception,
 com.liferay.portal.kernel.repository.model,com.liferay.portal.kernel.
 servlet.taglib.ui,javax.servlet.http",com.liferay.layout.admin.kernel
 .model;version="1.0.0";uses:="com.liferay.portal.kernel.model",com.li
 feray.layout.admin.kernel.util;version="2.0.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.util,com.liferay.portal.ker
 nel.xml",com.liferay.layout.admin.kernel.visibility;version="1.0.0",c
 om.liferay.layout.seo.kernel;version="1.2.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.util",com.liferay.layouts.admin.kernel.model;version="1.3.0";
 uses:="com.liferay.portal.kernel.model",com.liferay.layouts.admin.ker
 nel.util;version="43.0.2",com.liferay.mail.kernel.model;version="1.1.
 0";uses:="javax.mail.internet",com.liferay.mail.kernel.service;versio
 n="1.0.0";uses:="com.liferay.mail.kernel.model,com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.transaction,javax.mail",com.l
 iferay.mail.kernel.template;version="2.0.0";uses:="com.liferay.portal
 .kernel.util",com.liferay.mail.kernel.util;version="1.0.0";uses:="com
 .liferay.mail.kernel.model",com.liferay.membership.requests.kernel.ut
 il.comparator;version="1.1.0";uses:="com.liferay.portal.kernel.model,
 com.liferay.portal.kernel.util",com.liferay.portal.kernel.annotation;
 version="7.0.0",com.liferay.portal.kernel.aop;version="1.0.1",com.lif
 eray.portal.kernel.application.type;version="1.0.0",com.liferay.porta
 l.kernel.audit;version="7.0.0";uses:="com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.json,com.liferay.portal.kernel.messagi
 ng.proxy",com.liferay.portal.kernel.backgroundtask;version="8.1.0";us
 es:="com.liferay.petra.lang,com.liferay.portal.kernel.backgroundtask.
 display,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .messaging,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 repository.model,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.util",com.liferay.portal.kernel.backgroundtask.constants;vers
 ion="1.0.0",com.liferay.portal.kernel.backgroundtask.display;version=
 "2.0.0";uses:="com.liferay.portal.kernel.backgroundtask,com.liferay.p
 ortal.kernel.json,com.liferay.portal.kernel.template,javax.servlet.ht
 tp",com.liferay.portal.kernel.bean;version="8.0.0";uses:="javax.portl
 et,javax.servlet.http",com.liferay.portal.kernel.cache;version="10.0.
 0";uses:="com.liferay.portal.kernel.transaction",com.liferay.portal.k
 ernel.cache.configurator;version="1.0.0",com.liferay.portal.kernel.ca
 che.index;version="6.2.0";uses:="com.liferay.portal.kernel.cache",com
 .liferay.portal.kernel.cache.key;version="7.0.0";uses:="com.liferay.p
 etra.string",com.liferay.portal.kernel.cache.thread.local;version="2.
 0.0";uses:="com.liferay.portal.kernel.transaction",com.liferay.portal
 .kernel.cache.transactional;version="2.1.0";uses:="com.liferay.portal
 .kernel.cache,com.liferay.portal.kernel.transaction",com.liferay.port
 al.kernel.cal;version="6.3.0",com.liferay.portal.kernel.captcha;versi
 on="7.0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet,j
 avax.servlet.http",com.liferay.portal.kernel.change.tracking;version=
 "1.4.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel.excep
 tion",com.liferay.portal.kernel.cluster;version="8.0.0";uses:="com.li
 feray.portal.kernel.concurrent,com.liferay.portal.kernel.exception,co
 m.liferay.portal.kernel.messaging,com.liferay.portal.kernel.util",com
 .liferay.portal.kernel.cluster.messaging;version="7.1.0";uses:="com.l
 iferay.portal.kernel.cluster,com.liferay.portal.kernel.messaging",com
 .liferay.portal.kernel.comment;version="3.0.0";uses:="com.liferay.exp
 ortimport.kernel.lar,com.liferay.portal.kernel.dao.orm,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.model,com.liferay.por
 tal.kernel.security.permission,com.liferay.portal.kernel.service,com.
 liferay.ratings.kernel.model",com.liferay.portal.kernel.comment.displ
 ay.context;version="1.0.0";uses:="com.liferay.portal.kernel.comment,c
 om.liferay.portal.kernel.display.context,com.liferay.portal.kernel.ex
 ception,javax.servlet.http",com.liferay.portal.kernel.concurrent;vers
 ion="8.0.0",com.liferay.portal.kernel.configuration;version="6.3.0",c
 om.liferay.portal.kernel.dao.db;version="8.1.0";uses:="com.liferay.pe
 tra.function,javax.naming,javax.sql",com.liferay.portal.kernel.dao.jd
 bc;version="8.0.0";uses:="javax.naming,javax.sql",com.liferay.portal.
 kernel.dao.jdbc.aop;version="7.0.0";uses:="javax.sql",com.liferay.por
 tal.kernel.dao.jdbc.pool.metrics;version="1.0.0",com.liferay.portal.k
 ernel.dao.orm;version="10.0.0";uses:="com.liferay.exportimport.kernel
 .lar,com.liferay.petra.function,com.liferay.petra.sql.dsl.query,com.l
 iferay.portal.kernel.cache,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.service.persistence
 .impl,com.liferay.portal.kernel.transaction,com.liferay.portal.kernel
 .util",com.liferay.portal.kernel.dao.search;version="8.1.0";uses:="co
 m.liferay.petra.function,com.liferay.portal.kernel.exception,com.life
 ray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay.
 portal.kernel.util,javax.portlet,javax.servlet,javax.servlet.http",co
 m.liferay.portal.kernel.dependency.manager;version="1.2.0",com.lifera
 y.portal.kernel.deploy.auto;version="8.0.0";uses:="com.liferay.portal
 .kernel.deploy.auto.context,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.plugin",com.liferay.portal.kernel.deploy.auto.co
 ntext;version="7.0.0";uses:="com.liferay.portal.kernel.plugin",com.li
 feray.portal.kernel.deploy.hot;version="7.1.2";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.messaging,com.liferay.
 portal.kernel.plugin,com.liferay.portal.kernel.util,javax.servlet",co
 m.liferay.portal.kernel.display.context;version="2.0.0";uses:="javax.
 servlet.http,org.osgi.framework",com.liferay.portal.kernel.display.co
 ntext.helper;version="1.0.0";uses:="com.liferay.portal.kernel.model,c
 om.liferay.portal.kernel.portlet,com.liferay.portal.kernel.security.p
 ermission,com.liferay.portal.kernel.theme,javax.servlet.http",com.lif
 eray.portal.kernel.display.context.util;version="1.1.0";uses:="com.li
 feray.portal.kernel.model,com.liferay.portal.kernel.portlet,com.lifer
 ay.portal.kernel.security.permission,com.liferay.portal.kernel.theme,
 javax.servlet.http",com.liferay.portal.kernel.editor;version="7.0.0",
 com.liferay.portal.kernel.editor.configuration;version="1.1.0";uses:=
 "com.liferay.portal.kernel.json,com.liferay.portal.kernel.portlet,com
 .liferay.portal.kernel.theme",com.liferay.portal.kernel.editor.consta
 nts;version="1.0.0",com.liferay.portal.kernel.events;version="6.3.0";
 uses:="com.liferay.portal.kernel.exception,javax.portlet,javax.servle
 t.http",com.liferay.portal.kernel.exception;version="10.1.0";uses:="c
 om.liferay.portal.kernel.model,com.liferay.portal.kernel.security.aut
 h,com.liferay.portal.kernel.util",com.liferay.portal.kernel.facebook;
 version="7.0.0";uses:="com.liferay.portal.kernel.json,javax.portlet",
 com.liferay.portal.kernel.flash;version="6.2.0",com.liferay.portal.ke
 rnel.format;version="7.0.0",com.liferay.portal.kernel.group.capabilit
 y;version="1.0.0";uses:="com.liferay.portal.kernel.model",com.liferay
 .portal.kernel.image;version="9.0.0";uses:="com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.model",com.liferay.portal.kernel
 .increment;version="7.1.0";uses:="com.liferay.petra.lang",com.liferay
 .portal.kernel.instance.lifecycle;version="2.0.0";uses:="com.liferay.
 portal.kernel.model",com.liferay.portal.kernel.interval;version="1.0.
 0";uses:="com.liferay.portal.kernel.exception",com.liferay.portal.ker
 nel.io;version="8.0.0",com.liferay.portal.kernel.io.constants;version
 ="1.0.0",com.liferay.portal.kernel.io.unsync;version="8.0.0";uses:="c
 om.liferay.petra.string",com.liferay.portal.kernel.jazzy;version="1.0
 .0",com.liferay.portal.kernel.jmx.model;version="7.0.0";uses:="javax.
 management",com.liferay.portal.kernel.jndi;version="7.0.0";uses:="jav
 ax.naming",com.liferay.portal.kernel.json;version="9.1.0";uses:="com.
 liferay.petra.function,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.log",com.liferay.portal.kernel.jsonwebservice;version
 ="7.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.porta
 l.kernel.util,javax.servlet,javax.servlet.http",com.liferay.portal.ke
 rnel.language;version="9.0.0";uses:="com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.resource.bundle,javax.portlet,javax.ser
 vlet.http",com.liferay.portal.kernel.language.constants;version="1.0.
 0",com.liferay.portal.kernel.layoutconfiguration.util;version="3.0.0"
 ;uses:="com.liferay.petra.string,com.liferay.portal.kernel.layoutconf
 iguration.util.xml,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.template,javax.servlet.http",com.liferay.portal.kernel.layout
 configuration.util.xml;version="1.0.0",com.liferay.portal.kernel.lice
 nse;version="1.0.0",com.liferay.portal.kernel.license.messaging;versi
 on="2.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.k
 ernel.messaging",com.liferay.portal.kernel.license.util;version="1.0.
 0";uses:="com.liferay.portal.kernel.json,com.liferay.portal.kernel.li
 cense",com.liferay.portal.kernel.lock;version="7.3.0";uses:="com.life
 ray.portal.kernel.exception",com.liferay.portal.kernel.log;version="7
 .1.0",com.liferay.portal.kernel.login;version="1.0.0",com.liferay.por
 tal.kernel.lpkg;version="2.0.0",com.liferay.portal.kernel.management;
 version="8.0.0";uses:="com.liferay.portal.kernel.exception",com.lifer
 ay.portal.kernel.management.jmx;version="6.2.0";uses:="com.liferay.po
 rtal.kernel.jmx.model,com.liferay.portal.kernel.management,javax.mana
 gement",com.liferay.portal.kernel.messaging;version="11.0.0";uses:="c
 om.liferay.portal.kernel.exception,com.liferay.portal.kernel.messagin
 g.sender",com.liferay.portal.kernel.messaging.async;version="6.2.0",c
 om.liferay.portal.kernel.messaging.config;version="9.0.0";uses:="com.
 liferay.portal.kernel.messaging",com.liferay.portal.kernel.messaging.
 proxy;version="9.0.0";uses:="com.liferay.petra.lang,com.liferay.porta
 l.kernel.messaging,com.liferay.portal.kernel.messaging.sender,com.lif
 eray.portal.kernel.spring.aop",com.liferay.portal.kernel.messaging.se
 nder;version="8.0.0";uses:="com.liferay.portal.kernel.messaging",com.
 liferay.portal.kernel.metadata;version="9.0.0";uses:="com.liferay.dyn
 amic.data.mapping.kernel,com.liferay.portal.kernel.exception",com.lif
 eray.portal.kernel.microsofttranslator;version="7.0.0";uses:="com.lif
 eray.portal.kernel.exception",com.liferay.portal.kernel.mobile.device
 ;version="9.0.0";uses:="javax.servlet.http",com.liferay.portal.kernel
 .model;version="12.0.0";uses:="com.liferay.asset.kernel.model,com.lif
 eray.expando.kernel.model,com.liferay.exportimport.kernel.lar,com.lif
 eray.petra.sql.dsl,com.liferay.petra.sql.dsl.base,com.liferay.portal.
 kernel.annotation,com.liferay.portal.kernel.application.type,com.life
 ray.portal.kernel.bean,com.liferay.portal.kernel.exception,com.lifera
 y.portal.kernel.json,com.liferay.portal.kernel.model.change.tracking,
 com.liferay.portal.kernel.model.portlet,com.liferay.portal.kernel.mod
 el.wrapper,com.liferay.portal.kernel.notifications,com.liferay.portal
 .kernel.plugin,com.liferay.portal.kernel.poller,com.liferay.portal.ke
 rnel.pop,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.
 scheduler,com.liferay.portal.kernel.search,com.liferay.portal.kernel.
 security.permission,com.liferay.portal.kernel.security.permission.pro
 pagator,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.persistence,com.liferay.portal.kernel.servlet,com.liferay.port
 al.kernel.template,com.liferay.portal.kernel.theme,com.liferay.portal
 .kernel.trash,com.liferay.portal.kernel.util,com.liferay.portal.kerne
 l.webdav,com.liferay.portal.kernel.workflow,com.liferay.portal.kernel
 .xml,com.liferay.portal.kernel.xmlrpc,com.liferay.social.kernel.model
 ,com.liferay.trash.kernel.model,javax.portlet,javax.servlet,javax.ser
 vlet.http",com.liferay.portal.kernel.model.adapter;version="4.0.0";us
 es:="com.liferay.portal.kernel.model",com.liferay.portal.kernel.model
 .adapter.builder;version="1.0.0",com.liferay.portal.kernel.model.cach
 e;version="1.0.0",com.liferay.portal.kernel.model.change.tracking;ver
 sion="2.0.0";uses:="com.liferay.portal.kernel.model",com.liferay.port
 al.kernel.model.dao;version="2.5.0",com.liferay.portal.kernel.model.i
 mpl;version="5.0.0";uses:="com.liferay.expando.kernel.model,com.lifer
 ay.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifera
 y.portal.kernel.security.permission,com.liferay.portal.kernel.service
 ,javax.servlet.http",com.liferay.portal.kernel.model.portlet;version=
 "2.0.0";uses:="com.liferay.petra.string,javax.portlet",com.liferay.po
 rtal.kernel.model.role;version="1.2.0",com.liferay.portal.kernel.mode
 l.version;version="3.0.0",com.liferay.portal.kernel.model.wrapper;ver
 sion="2.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.service",com.liferay.portal
 .kernel.module.configuration;version="2.0.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.portal
 .kernel.settings",com.liferay.portal.kernel.module.framework;version=
 "1.4.0",com.liferay.portal.kernel.module.framework.service;version="1
 .0.1";uses:="com.liferay.portal.kernel.transaction,com.liferay.portal
 .kernel.util",com.liferay.portal.kernel.monitoring;version="8.0.0";us
 es:="com.liferay.portal.kernel.exception,javax.portlet",com.liferay.p
 ortal.kernel.notifications;version="9.0.0";uses:="com.liferay.asset.k
 ernel.model,com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ervice",com.liferay.portal.kernel.openid;version="1.0.0",com.liferay.
 portal.kernel.parsers.bbcode;version="7.0.0",com.liferay.portal.kerne
 l.patcher;version="8.0.0",com.liferay.portal.kernel.plugin;version="7
 .0.0";uses:="com.liferay.portal.kernel.util",com.liferay.portal.kerne
 l.poller;version="7.0.1";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.json,com.liferay.portal.kernel.messaging",co
 m.liferay.portal.kernel.poller.comet;version="7.0.0";uses:="com.lifer
 ay.portal.kernel.exception,javax.servlet.http",com.liferay.portal.ker
 nel.pop;version="6.3.0";uses:="com.liferay.portal.kernel.exception,ja
 vax.mail",com.liferay.portal.kernel.portlet;version="15.0.0";uses:="c
 om.liferay.asset.kernel.model,com.liferay.expando.kernel.model,com.li
 feray.exportimport.kernel.lar,com.liferay.osgi.service.tracker.collec
 tions.map,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.not
 ifications,com.liferay.portal.kernel.poller,com.liferay.portal.kernel
 .pop,com.liferay.portal.kernel.scheduler.messaging,com.liferay.portal
 .kernel.search,com.liferay.portal.kernel.security.permission,com.life
 ray.portal.kernel.security.permission.propagator,com.liferay.portal.k
 ernel.servlet,com.liferay.portal.kernel.settings,com.liferay.portal.k
 ernel.spring.osgi,com.liferay.portal.kernel.template,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.trash,com.liferay.portal.ke
 rnel.util,com.liferay.portal.kernel.webdav,com.liferay.portal.kernel.
 workflow,com.liferay.portal.kernel.xml,com.liferay.portal.kernel.xmlr
 pc,com.liferay.social.kernel.model,javax.portlet,javax.portlet.annota
 tions,javax.portlet.filter,javax.servlet,javax.servlet.http",com.life
 ray.portal.kernel.portlet.async;version="1.0.1";uses:="javax.portlet"
 ,com.liferay.portal.kernel.portlet.bridges.mvc;version="5.0.0";uses:=
 "com.liferay.portal.kernel.portlet,javax.portlet",com.liferay.portal.
 kernel.portlet.bridges.mvc.constants;version="1.0.0",com.liferay.port
 al.kernel.portlet.configuration.icon;version="2.0.0";uses:="com.lifer
 ay.osgi.service.tracker.collections.map,com.liferay.portal.kernel.mod
 el,javax.portlet,javax.servlet,javax.servlet.http,org.osgi.framework"
 ,com.liferay.portal.kernel.portlet.configuration.icon.locator;version
 ="1.0.0";uses:="javax.portlet",com.liferay.portal.kernel.portlet.cons
 tants;version="1.3.0",com.liferay.portal.kernel.portlet.toolbar;versi
 on="1.0.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.p
 ortlet",com.liferay.portal.kernel.portlet.toolbar.contributor;version
 ="1.1.0";uses:="com.liferay.portal.kernel.servlet.taglib.ui,javax.por
 tlet",com.liferay.portal.kernel.portlet.toolbar.contributor.locator;v
 ersion="1.0.0";uses:="com.liferay.portal.kernel.portlet.toolbar.contr
 ibutor,javax.portlet",com.liferay.portal.kernel.portletdisplaytemplat
 e;version="6.4.1";uses:="com.liferay.dynamic.data.mapping.kernel,com.
 liferay.portal.kernel.template,javax.servlet.http",com.liferay.portal
 .kernel.portletfilerepository;version="3.0.0";uses:="com.liferay.port
 al.kernel.exception,com.liferay.portal.kernel.model,com.liferay.porta
 l.kernel.repository.model,com.liferay.portal.kernel.search,com.lifera
 y.portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.p
 ortal.kernel.util",com.liferay.portal.kernel.process;version="8.0.0";
 uses:="com.liferay.portal.kernel.concurrent,com.liferay.portal.kernel
 .io",com.liferay.portal.kernel.process.local;version="2.0.0";uses:="c
 om.liferay.portal.kernel.concurrent,com.liferay.portal.kernel.process
 ",com.liferay.portal.kernel.redirect;version="1.0.0",com.liferay.port
 al.kernel.regex;version="1.0.0",com.liferay.portal.kernel.repository;
 version="11.0.0";uses:="com.liferay.asset.kernel.service,com.liferay.
 document.library.kernel.model,com.liferay.document.library.kernel.ser
 vice,com.liferay.portal.kernel.exception,com.liferay.portal.kernel.lo
 ck,com.liferay.portal.kernel.model,com.liferay.portal.kernel.reposito
 ry.capabilities,com.liferay.portal.kernel.repository.model,com.lifera
 y.portal.kernel.resource.bundle,com.liferay.portal.kernel.search,com.
 liferay.portal.kernel.service,com.liferay.portal.kernel.util",com.lif
 eray.portal.kernel.repository.capabilities;version="2.0.0";uses:="com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.repository
 ,com.liferay.portal.kernel.repository.event,com.liferay.portal.kernel
 .repository.model,com.liferay.portal.kernel.service,com.liferay.porta
 l.kernel.util",com.liferay.portal.kernel.repository.event;version="1.
 1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.repository.model,com.liferay.portal.kernel.repository.registry",
 com.liferay.portal.kernel.repository.friendly.url.resolver;version="1
 .0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.k
 ernel.repository.model",com.liferay.portal.kernel.repository.http.hea
 der.customizer;version="1.0.0";uses:="com.liferay.portal.kernel.repos
 itory.model",com.liferay.portal.kernel.repository.model;version="10.0
 .0";uses:="com.liferay.expando.kernel.model,com.liferay.exportimport.
 kernel.lar,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.json,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.mod
 el,com.liferay.portal.kernel.repository.capabilities,com.liferay.port
 al.kernel.security.permission,com.liferay.portal.kernel.util",com.lif
 eray.portal.kernel.repository.proxy;version="6.0.0";uses:="com.lifera
 y.asset.kernel.service,com.liferay.document.library.kernel.model,com.
 liferay.document.library.kernel.service,com.liferay.expando.kernel.mo
 del,com.liferay.exportimport.kernel.lar,com.liferay.portal.kernel.exc
 eption,com.liferay.portal.kernel.lock,com.liferay.portal.kernel.repos
 itory,com.liferay.portal.kernel.repository.capabilities,com.liferay.p
 ortal.kernel.repository.model,com.liferay.portal.kernel.search,com.li
 feray.portal.kernel.security.permission,com.liferay.portal.kernel.ser
 vice,com.liferay.portal.kernel.util",com.liferay.portal.kernel.reposi
 tory.registry;version="1.1.0";uses:="com.liferay.portal.kernel.reposi
 tory,com.liferay.portal.kernel.repository.capabilities,com.liferay.po
 rtal.kernel.repository.event",com.liferay.portal.kernel.repository.se
 arch;version="7.0.0";uses:="com.liferay.portal.kernel.search",com.lif
 eray.portal.kernel.repository.util;version="2.2.0";uses:="com.liferay
 .portal.kernel.repository.model",com.liferay.portal.kernel.resource;v
 ersion="6.3.0",com.liferay.portal.kernel.resource.bundle;version="1.0
 .0",com.liferay.portal.kernel.resource.manager;version="1.0.0";uses:=
 "com.liferay.portal.kernel.resource",com.liferay.portal.kernel.saniti
 zer;version="8.0.0";uses:="com.liferay.portal.kernel.exception",com.l
 iferay.portal.kernel.scheduler;version="9.1.0";uses:="com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.messaging,com.liferay.
 portal.kernel.messaging.proxy,com.liferay.portal.kernel.scheduler.mes
 saging,com.liferay.portal.kernel.util,javax.portlet",com.liferay.port
 al.kernel.scheduler.config;version="7.0.0";uses:="com.liferay.portal.
 kernel.scheduler",com.liferay.portal.kernel.scheduler.messaging;versi
 on="8.0.0";uses:="com.liferay.portal.kernel.messaging,com.liferay.por
 tal.kernel.scheduler",com.liferay.portal.kernel.scripting;version="8.
 0.0";uses:="com.liferay.portal.kernel.exception,javax.portlet",com.li
 feray.portal.kernel.search;version="11.1.0";uses:="com.liferay.asset.
 kernel.model,com.liferay.expando.kernel.model,com.liferay.petra.funct
 ion,com.liferay.petra.lang,com.liferay.petra.string,com.liferay.porta
 l.kernel.backgroundtask,com.liferay.portal.kernel.comment,com.liferay
 .portal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.p
 ortal.kernel.messaging,com.liferay.portal.kernel.messaging.proxy,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.portlet,com.lif
 eray.portal.kernel.repository.model,com.liferay.portal.kernel.search.
 facet,com.liferay.portal.kernel.search.filter,com.liferay.portal.kern
 el.search.geolocation,com.liferay.portal.kernel.search.messaging,com.
 liferay.portal.kernel.search.query,com.liferay.portal.kernel.search.s
 uggest,com.liferay.portal.kernel.security.permission,com.liferay.port
 al.kernel.theme,com.liferay.portal.kernel.util,com.liferay.portal.ker
 nel.xml,javax.portlet,javax.servlet.http",com.liferay.portal.kernel.s
 earch.analysis;version="2.0.0";uses:="com.liferay.portal.kernel.searc
 h",com.liferay.portal.kernel.search.background.task;version="2.0.0",c
 om.liferay.portal.kernel.search.dummy;version="3.0.0";uses:="com.life
 ray.portal.kernel.search,com.liferay.portal.kernel.search.filter,com.
 liferay.portal.kernel.search.suggest,com.liferay.portal.kernel.securi
 ty.permission,javax.portlet",com.liferay.portal.kernel.search.facet;v
 ersion="8.0.0";uses:="com.liferay.portal.kernel.json,com.liferay.port
 al.kernel.search,com.liferay.portal.kernel.search.facet.collector,com
 .liferay.portal.kernel.search.facet.config,com.liferay.portal.kernel.
 search.facet.util,com.liferay.portal.kernel.search.filter",com.lifera
 y.portal.kernel.search.facet.collector;version="6.3.0",com.liferay.po
 rtal.kernel.search.facet.config;version="8.0.0";uses:="com.liferay.po
 rtal.kernel.json",com.liferay.portal.kernel.search.facet.faceted.sear
 cher;version="2.0.0";uses:="com.liferay.portal.kernel.search",com.lif
 eray.portal.kernel.search.facet.util;version="7.0.0";uses:="com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.search.facet",com.l
 iferay.portal.kernel.search.filter;version="1.0.0";uses:="com.liferay
 .portal.kernel.search,com.liferay.portal.kernel.search.geolocation",c
 om.liferay.portal.kernel.search.generic;version="3.0.0";uses:="com.li
 feray.portal.kernel.search,com.liferay.portal.kernel.search.filter,co
 m.liferay.portal.kernel.search.query",com.liferay.portal.kernel.searc
 h.geolocation;version="1.0.0",com.liferay.portal.kernel.search.highli
 ght;version="1.0.0";uses:="com.liferay.portal.kernel.search",com.life
 ray.portal.kernel.search.hits;version="2.0.0";uses:="com.liferay.port
 al.kernel.search",com.liferay.portal.kernel.search.messaging;version=
 "7.0.0";uses:="com.liferay.portal.kernel.messaging.proxy,com.liferay.
 portal.kernel.search",com.liferay.portal.kernel.search.query;version=
 "1.0.0";uses:="com.liferay.portal.kernel.search,com.liferay.portal.ke
 rnel.search.generic",com.liferay.portal.kernel.search.queue;version="
 3.1.0";uses:="com.liferay.portal.kernel.search",com.liferay.portal.ke
 rnel.search.reindexer;version="1.0.0",com.liferay.portal.kernel.searc
 h.result;version="1.0.0";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.search,javax.portlet",com.liferay.portal.ker
 nel.search.suggest;version="2.0.0";uses:="com.liferay.portal.kernel.m
 essaging.proxy,com.liferay.portal.kernel.search",com.liferay.portal.k
 ernel.security;version="6.2.0",com.liferay.portal.kernel.security.acc
 ess.control;version="2.0.0";uses:="com.liferay.portal.kernel.exceptio
 n,com.liferay.portal.kernel.security.auth,com.liferay.portal.kernel.s
 ecurity.auth.verifier,javax.servlet.http",com.liferay.portal.kernel.s
 ecurity.auth;version="4.0.0";uses:="com.liferay.petra.lang,com.lifera
 y.portal.kernel.exception,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.portlet,com.liferay.portal.kernel.security.auth.verifi
 er,com.liferay.portal.kernel.security.permission,javax.servlet.http,o
 rg.osgi.framework,org.osgi.util.tracker",com.liferay.portal.kernel.se
 curity.auth.http;version="1.1.0";uses:="com.liferay.portal.kernel.exc
 eption,javax.servlet.http",com.liferay.portal.kernel.security.auth.se
 ssion;version="1.0.0";uses:="com.liferay.portal.kernel.exception,java
 x.servlet.http",com.liferay.portal.kernel.security.auth.tunnel;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.security.auth,javax.servle
 t.http",com.liferay.portal.kernel.security.auth.verifier;version="1.1
 .0";uses:="com.liferay.portal.kernel.security.auth",com.liferay.porta
 l.kernel.security.auto.login;version="2.0.0";uses:="com.liferay.porta
 l.kernel.exception,javax.servlet.http",com.liferay.portal.kernel.secu
 rity.exportimport;version="1.0.0",com.liferay.portal.kernel.security.
 jaas;version="6.2.0";uses:="com.liferay.portal.kernel.servlet,javax.s
 ecurity.auth,javax.security.auth.callback,javax.security.auth.login,j
 avax.security.auth.spi",com.liferay.portal.kernel.security.ldap;versi
 on="1.0.0";uses:="javax.naming.directory",com.liferay.portal.kernel.s
 ecurity.membershippolicy;version="1.0.0";uses:="com.liferay.asset.ker
 nel.model,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.security.permission,com.liferay.po
 rtal.kernel.util",com.liferay.portal.kernel.security.permission;versi
 on="5.0.0";uses:="com.liferay.petra.sql.dsl,com.liferay.petra.sql.dsl
 .expression,com.liferay.petra.sql.dsl.query,com.liferay.portal.kernel
 .exception,com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 security.permission.contributor,com.liferay.portal.kernel.security.pe
 rmission.propagator,com.liferay.portal.kernel.xml,javax.servlet.http"
 ,com.liferay.portal.kernel.security.permission.comparator;version="1.
 0.0",com.liferay.portal.kernel.security.permission.contributor;versio
 n="1.0.0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.k
 ernel.security.permission",com.liferay.portal.kernel.security.permiss
 ion.propagator;version="1.0.0";uses:="com.liferay.portal.kernel.excep
 tion,javax.portlet",com.liferay.portal.kernel.security.permission.res
 ource;version="1.1.0";uses:="com.liferay.exportimport.kernel.staging.
 permission,com.liferay.petra.function,com.liferay.portal.kernel.excep
 tion,com.liferay.portal.kernel.model,com.liferay.portal.kernel.securi
 ty.auth,com.liferay.portal.kernel.security.permission,com.liferay.por
 tal.kernel.service,com.liferay.portal.kernel.workflow.permission",com
 .liferay.portal.kernel.security.permission.resource.definition;versio
 n="1.0.1";uses:="com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.security.permission.resourc
 e",com.liferay.portal.kernel.security.permission.wrapper;version="1.0
 .0";uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.
 security.permission,com.liferay.portal.kernel.security.permission.con
 tributor",com.liferay.portal.kernel.security.pwd;version="3.0.0";uses
 :="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.mode
 l",com.liferay.portal.kernel.security.service.access.policy;version="
 1.1.0",com.liferay.portal.kernel.security.sso;version="1.0.0";uses:="
 javax.servlet.http",com.liferay.portal.kernel.security.xml;version="1
 .0.0";uses:="javax.xml.parsers,javax.xml.stream,org.xml.sax",com.life
 ray.portal.kernel.service;version="10.2.0";uses:="com.liferay.announc
 ements.kernel.model,com.liferay.expando.kernel.model,com.liferay.expo
 rtimport.kernel.lar,com.liferay.petra.function,com.liferay.petra.sql.
 dsl.query,com.liferay.portal.kernel.cache.thread.local,com.liferay.po
 rtal.kernel.change.tracking,com.liferay.portal.kernel.cluster,com.lif
 eray.portal.kernel.dao.orm,com.liferay.portal.kernel.exception,com.li
 feray.portal.kernel.json,com.liferay.portal.kernel.jsonwebservice,com
 .liferay.portal.kernel.messaging.async,com.liferay.portal.kernel.mode
 l,com.liferay.portal.kernel.notifications,com.liferay.portal.kernel.p
 lugin,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.rep
 ository.model,com.liferay.portal.kernel.search,com.liferay.portal.ker
 nel.security.access.control,com.liferay.portal.kernel.security.auth,c
 om.liferay.portal.kernel.security.permission,com.liferay.portal.kerne
 l.service.change.tracking,com.liferay.portal.kernel.service.configura
 tion,com.liferay.portal.kernel.service.permission,com.liferay.portal.
 kernel.service.persistence,com.liferay.portal.kernel.service.persiste
 nce.change.tracking,com.liferay.portal.kernel.settings,com.liferay.po
 rtal.kernel.spring.aop,com.liferay.portal.kernel.systemevent,com.life
 ray.portal.kernel.theme,com.liferay.portal.kernel.transaction,com.lif
 eray.portal.kernel.upgrade,com.liferay.portal.kernel.upload,com.lifer
 ay.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet,jav
 ax.servlet,javax.servlet.http",com.liferay.portal.kernel.service.chan
 ge.tracking;version="1.0.0";uses:="com.liferay.petra.function,com.lif
 eray.portal.kernel.model.change.tracking,com.liferay.portal.kernel.se
 rvice.persistence.change.tracking,com.liferay.portal.kernel.transacti
 on",com.liferay.portal.kernel.service.configuration;version="1.1.1",c
 om.liferay.portal.kernel.service.configuration.servlet;version="1.1.0
 ";uses:="com.liferay.portal.kernel.service.configuration,javax.servle
 t",com.liferay.portal.kernel.service.http;version="1.0.0";uses:="com.
 liferay.portal.kernel.security.auth,com.liferay.portal.kernel.util",c
 om.liferay.portal.kernel.service.permission;version="3.0.0";uses:="co
 m.liferay.portal.kernel.exception,com.liferay.portal.kernel.model,com
 .liferay.portal.kernel.security.auth,com.liferay.portal.kernel.securi
 ty.permission,javax.portlet,javax.servlet.http",com.liferay.portal.ke
 rnel.service.persistence;version="10.1.0";uses:="com.liferay.petra.sq
 l.dsl.query,com.liferay.portal.kernel.dao.db,com.liferay.portal.kerne
 l.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.kern
 el.model,com.liferay.portal.kernel.service,com.liferay.portal.kernel.
 service.persistence.change.tracking,com.liferay.portal.kernel.util,ja
 vax.sql",com.liferay.portal.kernel.service.persistence.change.trackin
 g;version="1.4.0";uses:="com.liferay.portal.kernel.change.tracking,co
 m.liferay.portal.kernel.model.change.tracking,com.liferay.portal.kern
 el.service.persistence",com.liferay.portal.kernel.service.persistence
 .change.tracking.helper;version="1.0.0";uses:="com.liferay.portal.ker
 nel.model.change.tracking",com.liferay.portal.kernel.service.persiste
 nce.impl;version="3.3.0";uses:="com.liferay.petra.sql.dsl,com.liferay
 .petra.sql.dsl.query,com.liferay.petra.string,com.liferay.portal.kern
 el.configuration,com.liferay.portal.kernel.dao.db,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.service,com.liferay.portal.ke
 rnel.service.persistence,com.liferay.portal.kernel.util,javax.sql",co
 m.liferay.portal.kernel.service.version;version="1.1.0";uses:="com.li
 feray.portal.kernel.exception,com.liferay.portal.kernel.model.version
 ",com.liferay.portal.kernel.servlet;version="11.0.0";uses:="com.lifer
 ay.petra.string,com.liferay.portal.kernel.log,com.liferay.portal.kern
 el.util,javax.portlet,javax.servlet,javax.servlet.http",com.liferay.p
 ortal.kernel.servlet.filters.compoundsessionid;version="7.0.0";uses:=
 "com.liferay.portal.kernel.servlet,javax.servlet.http",com.liferay.po
 rtal.kernel.servlet.filters.invoker;version="9.0.0";uses:="com.lifera
 y.portal.kernel.util,javax.servlet,javax.servlet.http",com.liferay.po
 rtal.kernel.servlet.taglib;version="8.0.0";uses:="com.liferay.petra.s
 tring,com.liferay.portal.kernel.log,javax.servlet,javax.servlet.http"
 ,com.liferay.portal.kernel.servlet.taglib.aui;version="8.2.0";uses:="
 com.liferay.petra.string,com.liferay.portal.kernel.util",com.liferay.
 portal.kernel.servlet.taglib.ui;version="6.8.0";uses:="com.liferay.pe
 tra.string,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.model,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.u
 til,javax.servlet,javax.servlet.http",com.liferay.portal.kernel.servl
 et.taglib.util;version="7.0.0";uses:="com.liferay.petra.string,com.li
 feray.portal.kernel.util",com.liferay.portal.kernel.settings;version=
 "3.1.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.model,com.liferay.portal.kernel.resource.manager,javax.portle
 t",com.liferay.portal.kernel.settings.definition;version="1.0.0",com.
 liferay.portal.kernel.social;version="1.0.0";uses:="com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.model,com.liferay.social
 .kernel.service",com.liferay.portal.kernel.spring.aop;version="7.0.0"
 ;uses:="com.liferay.portal.kernel.service",com.liferay.portal.kernel.
 spring.orm;version="1.0.0",com.liferay.portal.kernel.spring.osgi;vers
 ion="2.0.0",com.liferay.portal.kernel.spring.util;version="7.0.0",com
 .liferay.portal.kernel.struts;version="8.0.0";uses:="javax.servlet.ht
 tp",com.liferay.portal.kernel.systemevent;version="6.2.0",com.liferay
 .portal.kernel.template;version="11.0.0";uses:="com.liferay.dynamic.d
 ata.mapping.kernel,com.liferay.portal.kernel.exception,com.liferay.po
 rtal.kernel.xml,javax.servlet,javax.servlet.http",com.liferay.portal.
 kernel.template.comparator;version="6.2.0";uses:="com.liferay.portal.
 kernel.template",com.liferay.portal.kernel.templateparser;version="8.
 0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.ke
 rnel.theme,com.liferay.portal.kernel.xml",com.liferay.portal.kernel.t
 erms.of.use;version="1.0.1";uses:="javax.servlet.http",com.liferay.po
 rtal.kernel.theme;version="7.0.0";uses:="com.liferay.petra.string,com
 .liferay.portal.kernel.exception,com.liferay.portal.kernel.json,com.l
 iferay.portal.kernel.mobile.device,com.liferay.portal.kernel.model,co
 m.liferay.portal.kernel.module.configuration,com.liferay.portal.kerne
 l.portlet.configuration.icon,com.liferay.portal.kernel.portlet.toolba
 r,com.liferay.portal.kernel.security.permission,com.liferay.portal.ke
 rnel.util,javax.portlet,javax.servlet,javax.servlet.http",com.liferay
 .portal.kernel.transaction;version="8.1.0",com.liferay.portal.kernel.
 trash;version="10.0.0";uses:="com.liferay.asset.kernel.model,com.life
 ray.portal.kernel.exception,com.liferay.portal.kernel.model,com.lifer
 ay.portal.kernel.search,com.liferay.portal.kernel.search.filter,com.l
 iferay.portal.kernel.security.permission,com.liferay.portal.kernel.se
 rvice,com.liferay.portal.kernel.util,com.liferay.trash.kernel.model,j
 avax.portlet,javax.servlet,javax.servlet.http",com.liferay.portal.ker
 nel.tree;version="2.1.1";uses:="com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model",com.liferay.portal.kernel.upgrade;ver
 sion="12.2.0";uses:="com.liferay.petra.lang,com.liferay.portal.kernel
 .dao.db,com.liferay.portal.kernel.exception,com.liferay.portal.kernel
 .resource.bundle,com.liferay.portal.kernel.service,com.liferay.portal
 .kernel.upgrade.util,com.liferay.portal.kernel.upgrade.v6_2_0,com.lif
 eray.portal.kernel.util,com.liferay.portal.kernel.xml,javax.portlet",
 com.liferay.portal.kernel.upgrade.util;version="8.0.0";uses:="com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.upgrade,com.lifera
 y.portal.kernel.version",com.liferay.portal.kernel.upgrade.v6_2_0;ver
 sion="8.10.0";uses:="com.liferay.portal.kernel.upgrade",com.liferay.p
 ortal.kernel.upload;version="8.1.0";uses:="com.liferay.portal.kernel.
 exception,javax.portlet,javax.servlet.http",com.liferay.portal.kernel
 .url;version="1.0.0";uses:="javax.servlet",com.liferay.portal.kernel.
 url.validator;version="1.0.0",com.liferay.portal.kernel.util;version=
 "31.0.0";uses:="com.liferay.expando.kernel.model,com.liferay.mail.ker
 nel.model,com.liferay.petra.process,com.liferay.petra.sql.dsl.query.s
 ort,com.liferay.petra.string,com.liferay.portal.kernel.configuration,
 com.liferay.portal.kernel.dao.jdbc.aop,com.liferay.portal.kernel.exce
 ption,com.liferay.portal.kernel.group.capability,com.liferay.portal.k
 ernel.io,com.liferay.portal.kernel.io.unsync,com.liferay.portal.kerne
 l.json,com.liferay.portal.kernel.model,com.liferay.portal.kernel.port
 let,com.liferay.portal.kernel.repository.model,com.liferay.portal.ker
 nel.resource.bundle,com.liferay.portal.kernel.security.permission,com
 .liferay.portal.kernel.service,com.liferay.portal.kernel.settings,com
 .liferay.portal.kernel.spring.osgi,com.liferay.portal.kernel.theme,co
 m.liferay.portal.kernel.upload,com.liferay.portal.kernel.xml,javax.ma
 il,javax.mail.internet,javax.portlet,javax.servlet,javax.servlet.http
 ,javax.sql",com.liferay.portal.kernel.util.comparator;version="3.1.0"
 ;uses:="com.liferay.portal.kernel.model,com.liferay.portal.kernel.por
 tlet.configuration.icon,com.liferay.portal.kernel.util,javax.servlet"
 ,com.liferay.portal.kernel.uuid;version="6.2.0",com.liferay.portal.ke
 rnel.verify.model;version="2.0.0",com.liferay.portal.kernel.version;v
 ersion="1.0.0",com.liferay.portal.kernel.view.count;version="1.2.0";u
 ses:="com.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception",
 com.liferay.portal.kernel.webcache;version="6.2.0";uses:="com.liferay
 .portal.kernel.exception",com.liferay.portal.kernel.webdav;version="1
 0.0.0";uses:="com.liferay.portal.kernel.exception,com.liferay.portal.
 kernel.lock,com.liferay.portal.kernel.model,com.liferay.portal.kernel
 .security.permission,com.liferay.portal.kernel.webdav.methods,com.lif
 eray.portal.kernel.xml,javax.servlet.http",com.liferay.portal.kernel.
 webdav.methods;version="6.2.0";uses:="com.liferay.portal.kernel.webda
 v,javax.servlet.http",com.liferay.portal.kernel.webserver;version="1.
 0.0",com.liferay.portal.kernel.words;version="2.0.0";uses:="com.lifer
 ay.portal.kernel.jazzy",com.liferay.portal.kernel.workflow;version="1
 4.1.0";uses:="com.liferay.asset.kernel.model,com.liferay.portal.kerne
 l.exception,com.liferay.portal.kernel.messaging.proxy,com.liferay.por
 tal.kernel.model,com.liferay.portal.kernel.portlet,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.util,com.liferay.portal.ker
 nel.workflow.search,javax.portlet,javax.servlet.http",com.liferay.por
 tal.kernel.workflow.comparator;version="7.4.0";uses:="com.liferay.por
 tal.kernel.messaging.proxy,com.liferay.portal.kernel.util,com.liferay
 .portal.kernel.workflow",com.liferay.portal.kernel.workflow.messaging
 ;version="7.0.0";uses:="com.liferay.portal.kernel.messaging",com.life
 ray.portal.kernel.workflow.permission;version="7.0.0";uses:="com.life
 ray.portal.kernel.security.permission",com.liferay.portal.kernel.work
 flow.search;version="1.0.0";uses:="com.liferay.portal.kernel.workflow
 ",com.liferay.portal.kernel.xml;version="7.0.2";uses:="org.xml.sax",c
 om.liferay.portal.kernel.xml.simple;version="6.2.0",com.liferay.porta
 l.kernel.xmlrpc;version="6.2.0";uses:="com.liferay.portal.kernel.exce
 ption",com.liferay.portal.kernel.zip;version="6.4.2",com.liferay.port
 let.configuration.kernel.util;version="1.0.0";uses:="javax.portlet",c
 om.liferay.ratings.kernel;version="1.2.0",com.liferay.ratings.kernel.
 definition;version="1.1.0";uses:="com.liferay.portal.kernel.exception
 ,com.liferay.ratings.kernel",com.liferay.ratings.kernel.display.conte
 xt;version="1.0.0";uses:="com.liferay.portal.kernel.util,com.liferay.
 ratings.kernel,javax.portlet,javax.servlet.http",com.liferay.ratings.
 kernel.exception;version="1.0.0";uses:="com.liferay.portal.kernel.exc
 eption",com.liferay.ratings.kernel.model;version="3.0.0";uses:="com.l
 iferay.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.
 petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.p
 ortal.kernel.bean,com.liferay.portal.kernel.model,com.liferay.portal.
 kernel.model.change.tracking,com.liferay.portal.kernel.model.wrapper,
 com.liferay.portal.kernel.util",com.liferay.ratings.kernel.service;ve
 rsion="2.6.0";uses:="com.liferay.exportimport.kernel.lar,com.liferay.
 petra.function,com.liferay.petra.sql.dsl.query,com.liferay.portal.ker
 nel.change.tracking,com.liferay.portal.kernel.dao.orm,com.liferay.por
 tal.kernel.exception,com.liferay.portal.kernel.jsonwebservice,com.lif
 eray.portal.kernel.model,com.liferay.portal.kernel.search,com.liferay
 .portal.kernel.security.access.control,com.liferay.portal.kernel.serv
 ice,com.liferay.portal.kernel.service.change.tracking,com.liferay.por
 tal.kernel.service.persistence.change.tracking,com.liferay.portal.ker
 nel.systemevent,com.liferay.portal.kernel.transaction,com.liferay.por
 tal.kernel.util,com.liferay.ratings.kernel.model",com.liferay.ratings
 .kernel.service.persistence;version="4.2.0";uses:="com.liferay.portal
 .kernel.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.
 kernel.service.persistence,com.liferay.portal.kernel.service.persiste
 nce.change.tracking,com.liferay.portal.kernel.util,com.liferay.rating
 s.kernel.exception,com.liferay.ratings.kernel.model",com.liferay.rati
 ngs.kernel.transformer;version="1.0.0";uses:="com.liferay.portal.kern
 el.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal.ker
 nel.util,com.liferay.ratings.kernel,com.liferay.ratings.kernel.model,
 javax.portlet",com.liferay.roles.admin.kernel.util;version="2.0.0";us
 es:="com.liferay.portal.kernel.model",com.liferay.sites.kernel.util;v
 ersion="1.3.0";uses:="com.liferay.portal.kernel.exception,com.liferay
 .portal.kernel.model,com.liferay.portal.kernel.security.permission,co
 m.liferay.portal.kernel.service,javax.portlet,javax.servlet.http",com
 .liferay.social.kernel.exception;version="1.0.0";uses:="com.liferay.p
 ortal.kernel.exception",com.liferay.social.kernel.model;version="4.0.
 0";uses:="com.liferay.asset.kernel.model,com.liferay.petra.sql.dsl,co
 m.liferay.petra.sql.dsl.base,com.liferay.portal.kernel.annotation,com
 .liferay.portal.kernel.bean,com.liferay.portal.kernel.exception,com.l
 iferay.portal.kernel.json,com.liferay.portal.kernel.model,com.liferay
 .portal.kernel.model.change.tracking,com.liferay.portal.kernel.model.
 wrapper,com.liferay.portal.kernel.resource.bundle,com.liferay.portal.
 kernel.security.permission,com.liferay.portal.kernel.service,com.life
 ray.portal.kernel.theme,com.liferay.portal.kernel.util",com.liferay.s
 ocial.kernel.model.impl;version="1.0.0";uses:="com.liferay.portal.ker
 nel.exception,com.liferay.portal.kernel.security.permission,com.lifer
 ay.portal.kernel.service,com.liferay.portal.kernel.theme,com.liferay.
 social.kernel.model",com.liferay.social.kernel.service;version="3.0.0
 ";uses:="com.liferay.asset.kernel.model,com.liferay.petra.function,co
 m.liferay.petra.sql.dsl.query,com.liferay.portal.kernel.change.tracki
 ng,com.liferay.portal.kernel.dao.orm,com.liferay.portal.kernel.except
 ion,com.liferay.portal.kernel.json,com.liferay.portal.kernel.jsonwebs
 ervice,com.liferay.portal.kernel.messaging.async,com.liferay.portal.k
 ernel.model,com.liferay.portal.kernel.search,com.liferay.portal.kerne
 l.security.access.control,com.liferay.portal.kernel.service,com.lifer
 ay.portal.kernel.service.change.tracking,com.liferay.portal.kernel.se
 rvice.persistence.change.tracking,com.liferay.portal.kernel.theme,com
 .liferay.portal.kernel.transaction,com.liferay.portal.kernel.util,com
 .liferay.social.kernel.model",com.liferay.social.kernel.service.permi
 ssion;version="1.0.0";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.security.permission",com.liferay.social.kernel.
 service.persistence;version="4.2.0";uses:="com.liferay.portal.kernel.
 dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel.s
 ervice.persistence,com.liferay.portal.kernel.service.persistence.chan
 ge.tracking,com.liferay.portal.kernel.util,com.liferay.social.kernel.
 exception,com.liferay.social.kernel.model",com.liferay.social.kernel.
 util;version="1.0.0";uses:="com.liferay.portal.kernel.service,com.lif
 eray.social.kernel.model,javax.servlet.http",com.liferay.social.kerne
 l.util.comparator;version="1.1.0";uses:="com.liferay.portal.kernel.ut
 il,com.liferay.social.kernel.model",com.liferay.trash.kernel.exceptio
 n;version="1.1.0";uses:="com.liferay.portal.kernel.exception",com.lif
 eray.trash.kernel.model;version="3.0.0";uses:="com.liferay.expando.ke
 rnel.model,com.liferay.portal.kernel.annotation,com.liferay.portal.ke
 rnel.bean,com.liferay.portal.kernel.model,com.liferay.portal.kernel.s
 ervice,com.liferay.portal.kernel.util",com.liferay.trash.kernel.servi
 ce;version="1.5.0";uses:="com.liferay.petra.sql.dsl.query,com.liferay
 .portal.kernel.change.tracking,com.liferay.portal.kernel.dao.orm,com.
 liferay.portal.kernel.exception,com.liferay.portal.kernel.jsonwebserv
 ice,com.liferay.portal.kernel.model,com.liferay.portal.kernel.search,
 com.liferay.portal.kernel.security.access.control,com.liferay.portal.
 kernel.security.auth,com.liferay.portal.kernel.service,com.liferay.po
 rtal.kernel.transaction,com.liferay.portal.kernel.util,com.liferay.tr
 ash.kernel.model",com.liferay.trash.kernel.service.persistence;versio
 n="1.4.0";uses:="com.liferay.portal.kernel.dao.orm,com.liferay.portal
 .kernel.service,com.liferay.portal.kernel.service.persistence,com.lif
 eray.portal.kernel.util,com.liferay.trash.kernel.exception,com.lifera
 y.trash.kernel.model",com.liferay.trash.kernel.util;version="1.0.2";u
 ses:="com.liferay.portal.kernel.exception,com.liferay.portal.kernel.m
 odel,com.liferay.portal.kernel.portlet,com.liferay.portal.kernel.sear
 ch,com.liferay.portal.kernel.theme,com.liferay.portal.kernel.util,com
 .liferay.trash.kernel.model,javax.portlet,javax.servlet.http",com.lif
 eray.trash.kernel.util.comparator;version="1.1.0";uses:="com.liferay.
 portal.kernel.util,com.liferay.trash.kernel.model",com.liferay.users.
 admin.kernel.file.uploads;version="1.0.1",com.liferay.users.admin.ker
 nel.organization.types;version="1.0.1",com.liferay.users.admin.kernel
 .util;version="2.0.0";uses:="com.liferay.portal.kernel.exception,com.
 liferay.portal.kernel.model,com.liferay.portal.kernel.search,com.life
 ray.portal.kernel.security.permission,com.liferay.portal.kernel.util,
 javax.portlet,javax.servlet.http"
Git-Descriptor: 683d6a95b3e75-dirty
Git-SHA: 683d6a95b3e75d715afc3b9f0c61380aad986e0e
Import-Package: com.liferay.announcements.kernel.exception;version="[1
 .0,2)",com.liferay.announcements.kernel.model;version="[3.0,3.1)",com
 .liferay.asset.kernel.exception;version="[2.3,3)",com.liferay.asset.k
 ernel.model;version="[6.0,6.1)",com.liferay.asset.kernel.service;vers
 ion="[4.0,4.1)",com.liferay.asset.kernel.service.persistence;version=
 "[7.0,8)",com.liferay.counter.kernel.service;version="[2.1,2.2)",com.
 liferay.document.library.kernel.exception;version="[3.4,4)",com.lifer
 ay.document.library.kernel.model;version="[5.0,5.1)",com.liferay.docu
 ment.library.kernel.service;version="[6.0,6.1)",com.liferay.document.
 library.kernel.store;version="[3.0,4)",com.liferay.document.library.k
 ernel.util;version="[4.0,5)",com.liferay.dynamic.data.mapping.kernel;
 version="[2.0,3)",com.liferay.expando.kernel.exception;version="[1.1,
 2)",com.liferay.expando.kernel.model;version="[4.1,4.2)",com.liferay.
 expando.kernel.util;version="[3.0,4)",com.liferay.exportimport.kernel
 .exception;version="[2.0,3)",com.liferay.exportimport.kernel.model;ve
 rsion="[3.0,3.1)",com.liferay.exportimport.kernel.service;version="[2
 .7,2.8)",com.liferay.exportimport.kernel.staging;version="[2.2,3)",co
 m.liferay.exportimport.kernel.staging.permission;version="[1.0,2)",co
 m.liferay.layout.admin.kernel.model;version="[1.0,2)",com.liferay.mai
 l.kernel.model;version="[1.1,2)",com.liferay.mail.kernel.service;vers
 ion="[1.0,2)",com.liferay.mail.kernel.template;version="[2.0,3)",com.
 liferay.osgi.service.tracker.collections.list,com.liferay.osgi.servic
 e.tracker.collections.map,com.liferay.petra.concurrent,com.liferay.pe
 tra.executor,com.liferay.petra.function,com.liferay.petra.io.unsync,c
 om.liferay.petra.lang,com.liferay.petra.memory,com.liferay.petra.nio,
 com.liferay.petra.process,com.liferay.petra.reflect,com.liferay.petra
 .sql.dsl,com.liferay.petra.sql.dsl.ast,com.liferay.petra.sql.dsl.base
 ,com.liferay.petra.sql.dsl.expression,com.liferay.petra.sql.dsl.query
 ,com.liferay.petra.sql.dsl.query.sort,com.liferay.petra.sql.dsl.spi.a
 st,com.liferay.petra.sql.dsl.spi.expression,com.liferay.petra.sql.dsl
 .spi.query,com.liferay.petra.string,com.liferay.portal.kernel.annotat
 ion;version="[7.0,8)",com.liferay.portal.kernel.application.type;vers
 ion="[1.0,2)",com.liferay.portal.kernel.backgroundtask;version="[8.1,
 9)",com.liferay.portal.kernel.backgroundtask.display;version="[2.0,2.
 1)",com.liferay.portal.kernel.bean;version="[8.0,9)",com.liferay.port
 al.kernel.cache.key;version="[7.0,8)",com.liferay.portal.kernel.cache
 .thread.local;version="[2.0,3)",com.liferay.portal.kernel.change.trac
 king;version="[1.4,2)",com.liferay.portal.kernel.comment;version="[3.
 0,3.1)",com.liferay.portal.kernel.concurrent;version="[8.0,9)",com.li
 feray.portal.kernel.configuration;version="[6.3,7)",com.liferay.porta
 l.kernel.dao.db;version="[8.1,9)",com.liferay.portal.kernel.dao.jdbc.
 aop;version="[7.0,8)",com.liferay.portal.kernel.dao.orm;version="[10.
 0,10.1)",com.liferay.portal.kernel.dao.search;version="[8.1,9)",com.l
 iferay.portal.kernel.deploy.auto.context;version="[7.0,8)",com.lifera
 y.portal.kernel.deploy.hot;version="[7.1,8)",com.liferay.portal.kerne
 l.exception;version="[10.1,11)",com.liferay.portal.kernel.image;versi
 on="[9.0,10)",com.liferay.portal.kernel.increment;version="[7.1,8)",c
 om.liferay.portal.kernel.io;version="[8.0,9)",com.liferay.portal.kern
 el.io.unsync;version="[8.0,9)",com.liferay.portal.kernel.jazzy;versio
 n="[1.0,2)",com.liferay.portal.kernel.jmx.model;version="[7.0,8)",com
 .liferay.portal.kernel.jndi;version="[7.0,8)",com.liferay.portal.kern
 el.json;version="[9.1,10)",com.liferay.portal.kernel.jsonwebservice;v
 ersion="[7.0,8)",com.liferay.portal.kernel.language;version="[9.0,10)
 ",com.liferay.portal.kernel.language.constants;version="[1.0,2)",com.
 liferay.portal.kernel.layoutconfiguration.util.xml;version="[1.0,2)",
 com.liferay.portal.kernel.license;version="[1.0,2)",com.liferay.porta
 l.kernel.lock;version="[7.3,8)",com.liferay.portal.kernel.log;version
 ="[7.1,8)",com.liferay.portal.kernel.management;version="[8.0,9)",com
 .liferay.portal.kernel.messaging;version="[11.0,11.1)",com.liferay.po
 rtal.kernel.messaging.async;version="[6.2,7)",com.liferay.portal.kern
 el.messaging.proxy;version="[9.0,10)",com.liferay.portal.kernel.messa
 ging.sender;version="[8.0,9)",com.liferay.portal.kernel.mobile.device
 ;version="[9.0,9.1)",com.liferay.portal.kernel.model.adapter.builder;
 version="[1.0,2)",com.liferay.portal.kernel.model.change.tracking;ver
 sion="[2.0,3)",com.liferay.portal.kernel.model.impl;version="[5.0,6)"
 ,com.liferay.portal.kernel.model.portlet;version="[2.0,3)",com.lifera
 y.portal.kernel.model.version;version="[3.0,4)",com.liferay.portal.ke
 rnel.model.wrapper;version="[2.0,3)",com.liferay.portal.kernel.module
 .configuration;version="[2.0,3)",com.liferay.portal.kernel.module.fra
 mework;version="[1.4,2)",com.liferay.portal.kernel.plugin;version="[7
 .0,8)",com.liferay.portal.kernel.poller;version="[7.0,8)",com.liferay
 .portal.kernel.pop;version="[6.3,7)",com.liferay.portal.kernel.portle
 t.bridges.mvc.constants;version="[1.0,2)",com.liferay.portal.kernel.p
 ortlet.configuration.icon.locator;version="[1.0,2)",com.liferay.porta
 l.kernel.portlet.toolbar.contributor;version="[1.1,2)",com.liferay.po
 rtal.kernel.portlet.toolbar.contributor.locator;version="[1.0,2)",com
 .liferay.portal.kernel.process;version="[8.0,9)",com.liferay.portal.k
 ernel.repository;version="[11.0,12)",com.liferay.portal.kernel.reposi
 tory.capabilities;version="[2.0,2.1)",com.liferay.portal.kernel.repos
 itory.event;version="[1.1,2)",com.liferay.portal.kernel.repository.ht
 tp.header.customizer;version="[1.0,2)",com.liferay.portal.kernel.repo
 sitory.model;version="[10.0,10.1)",com.liferay.portal.kernel.reposito
 ry.registry;version="[1.1,2)",com.liferay.portal.kernel.repository.se
 arch;version="[7.0,8)",com.liferay.portal.kernel.resource;version="[6
 .3,7)",com.liferay.portal.kernel.resource.manager;version="[1.0,2)",c
 om.liferay.portal.kernel.scheduler;version="[9.1,10)",com.liferay.por
 tal.kernel.scheduler.messaging;version="[8.0,9)",com.liferay.portal.k
 ernel.search.background.task;version="[2.0,3)",com.liferay.portal.ker
 nel.search.dummy;version="[3.0,4)",com.liferay.portal.kernel.search.f
 acet;version="[8.0,9)",com.liferay.portal.kernel.search.facet.collect
 or;version="[6.3,7)",com.liferay.portal.kernel.search.facet.config;ve
 rsion="[8.0,9)",com.liferay.portal.kernel.search.facet.util;version="
 [7.0,8)",com.liferay.portal.kernel.search.filter;version="[1.0,2)",co
 m.liferay.portal.kernel.search.generic;version="[3.0,4)",com.liferay.
 portal.kernel.search.geolocation;version="[1.0,2)",com.liferay.portal
 .kernel.search.highlight;version="[1.0,2)",com.liferay.portal.kernel.
 search.hits;version="[2.0,3)",com.liferay.portal.kernel.search.messag
 ing;version="[7.0,8)",com.liferay.portal.kernel.search.query;version=
 "[1.0,2)",com.liferay.portal.kernel.search.result;version="[1.0,2)",c
 om.liferay.portal.kernel.search.suggest;version="[2.0,3)",com.liferay
 .portal.kernel.security;version="[6.2,7)",com.liferay.portal.kernel.s
 ecurity.auth.tunnel;version="[1.0,2)",com.liferay.portal.kernel.secur
 ity.auth.verifier;version="[1.1,2)",com.liferay.portal.kernel.securit
 y.permission.contributor;version="[1.0,2)",com.liferay.portal.kernel.
 security.permission.propagator;version="[1.0,2)",com.liferay.portal.k
 ernel.security.permission.resource.definition;version="[1.0,2)",com.l
 iferay.portal.kernel.security.pwd;version="[3.0,4)",com.liferay.porta
 l.kernel.security.xml;version="[1.0,2)",com.liferay.portal.kernel.ser
 vice.change.tracking;version="[1.0,2)",com.liferay.portal.kernel.serv
 ice.configuration;version="[1.1,1.2)",com.liferay.portal.kernel.servi
 ce.persistence;version="[10.1,11)",com.liferay.portal.kernel.service.
 persistence.change.tracking;version="[1.4,2)",com.liferay.portal.kern
 el.servlet.filters.compoundsessionid;version="[7.0,8)",com.liferay.po
 rtal.kernel.settings;version="[3.1,4)",com.liferay.portal.kernel.spri
 ng.aop;version="[7.0,8)",com.liferay.portal.kernel.spring.orm;version
 ="[1.0,2)",com.liferay.portal.kernel.spring.osgi;version="[2.0,3)",co
 m.liferay.portal.kernel.systemevent;version="[6.2,7)",com.liferay.por
 tal.kernel.upgrade;version="[12.2,13)",com.liferay.portal.kernel.upgr
 ade.util;version="[8.0,9)",com.liferay.portal.kernel.upgrade.v6_2_0;v
 ersion="[8.10,9)",com.liferay.portal.kernel.upload;version="[8.1,9)",
 com.liferay.portal.kernel.util.comparator;version="[3.1,4)",com.lifer
 ay.portal.kernel.uuid;version="[6.2,7)",com.liferay.portal.kernel.ver
 sion;version="[1.0,2)",com.liferay.portal.kernel.webdav.methods;versi
 on="[6.2,7)",com.liferay.portal.kernel.webserver;version="[1.0,2)",co
 m.liferay.portal.kernel.workflow.permission;version="[7.0,8)",com.lif
 eray.portal.kernel.workflow.search;version="[1.0,2)",com.liferay.port
 al.kernel.xml;version="[7.0,7.1)",com.liferay.portal.kernel.xml.simpl
 e;version="[6.2,7)",com.liferay.portal.kernel.xmlrpc;version="[6.2,7)
 ",com.liferay.portal.kernel.zip;version="[6.4,7)",com.liferay.ratings
 .kernel;version="[1.2,2)",com.liferay.ratings.kernel.exception;versio
 n="[1.0,2)",com.liferay.ratings.kernel.model;version="[3.0,3.1)",com.
 liferay.ratings.kernel.service;version="[2.6,2.7)",com.liferay.rating
 s.kernel.transformer;version="[1.0,2)",com.liferay.sites.kernel.util;
 version="[1.3,2)",com.liferay.social.kernel.exception;version="[1.0,2
 )",com.liferay.social.kernel.model;version="[4.0,4.1)",com.liferay.so
 cial.kernel.service;version="[3.0,3.1)",com.liferay.social.kernel.ser
 vice.persistence;version="[4.2,5)",com.liferay.trash.kernel.exception
 ;version="[1.1,2)",com.liferay.trash.kernel.model;version="[3.0,3.1)"
 ,com.liferay.trash.kernel.util;version="[1.0,2)",com.liferay.users.ad
 min.kernel.file.uploads;version="[1.0,2)",javax.mail,javax.mail.inter
 net,javax.management,javax.naming,javax.naming.directory,javax.net.ss
 l,javax.portlet,javax.portlet.annotations,javax.portlet.filter,javax.
 security.auth,javax.security.auth.callback,javax.security.auth.login,
 javax.security.auth.spi,javax.servlet,javax.servlet.http,javax.sql,ja
 vax.xml.namespace,javax.xml.parsers,javax.xml.stream,org.osgi.framewo
 rk,org.osgi.util.tracker,org.xml.sax
Include-Resource: classes
Javac-Compiler: modern
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: ISO-8859-1
Liferay-Portal-Build-Date: Fri Apr 01 00:00:00 PDT 2022
Liferay-Portal-Build-Number: 7413
Liferay-Portal-Build-Time: Tue Jun 10 04:40:38 PDT 2025
Liferay-Portal-Code-Name: Cavanaugh
Liferay-Portal-Parent-Build-Number: 7413
Liferay-Portal-Release-Info: Liferay Digital Experience Platform 7.4.1
 3 Update 18 (Cavanaugh / Build 7413 / April 1, 2022)
Liferay-Portal-Server-Info: Liferay Digital Experience Platform / 7.4.
 13
Liferay-Portal-Version: 7.4.13
Liferay-Portal-Version-Display-Name: 7.4.13 Update 18
Private-Package: com.liferay.portal.kernel.internal.cache,com.liferay.
 portal.kernel.internal.dao.jdbc,com.liferay.portal.kernel.internal.da
 o.orm,com.liferay.portal.kernel.internal.security.access.control,com.
 liferay.portal.kernel.internal.security.permission.resource,com.lifer
 ay.portal.kernel.internal.service.permission,com.liferay.portal.kerne
 l.internal.service.persistence,com.liferay.portal.kernel.internal.ser
 vice.persistence.change.tracking,com.liferay.portal.kernel.internal.s
 ervlet,com.liferay.portal.kernel.internal.spring.transaction,com.life
 ray.portal.kernel.internal.util,com.liferay.portal.kernel.module.util
Require-Capability: osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Tool: Bnd-3.5.0.201709291849
